|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QPictureFormatPlugin Class Reference

The QPictureFormatPlugin class provides an abstract base for custom picture format plugins. More...

    #include <QPictureFormatPlugin>

Part of the QtGui module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QPictureFormatPlugin ( QObject * parent = 0 )
- ~QPictureFormatPlugin ()
- virtual bool installIOHandler ( const QString & format ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QPictureFormatPlugin class provides an abstract base for custom picture format plugins.

The picture format plugin is a simple plugin interface that makes it easy to create custom picture formats that can be used transparently by applications.

Writing an picture format plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and installIOHandler(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

## Member Function Documentation

### QPictureFormatPlugin::QPictureFormatPlugin ( QObject * parent = 0 )

Constructs an picture format plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QPictureFormatPlugin::~QPictureFormatPlugin ()

Destroys the picture format plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### bool QPictureFormatPlugin::installIOHandler ( const QString & format ) `[pure virtual]`

Installs a QPictureIO picture I/O handler for the picture format format.

Reimplemented from QPictureFormatInterface.

See also keys().

### QStringList QPictureFormatPlugin::keys () const `[pure virtual]`

Returns the list of picture formats this plugin supports.

Reimplemented from QFactoryInterface.

See also installIOHandler().